<div *ngIf="loading">
    <app-loading></app-loading>
</div>

<mat-card class="game-details-page" *ngIf="game">
    <div class="game-details-header">
        <img src="{{ game.image }}" class="game-details-header__img">
        <div class="game-details-header__info">
            <p class="game-details-header__published">{{ game.published_date }}</p>
            <mat-card-title class="game-details-header__title">{{ game.title }}</mat-card-title>

            <div class="game-info">
                <div>
                    <div class="game-info__main">
                        <p class="game-info__type">{{ game.type }}</p>
                        <p class="game-info__platforms">{{ game.platforms }}</p>
                    </div>
                    <p class="game-details-header__cost">{{ game.worth === "N/A" ? "free" : game.worth }}</p>
                </div>
                <div class="game-info__meta">
                    <p class="game-info__users">{{ game.users }} players</p>
                    <p class="game-info__status">{{ game.status }}</p>
                    <p class="game-info__end-date">{{ game.end_date === "N/A" ? "will not expire" : game.end_date }}</p>
                </div>
            </div>

        </div>
    </div>

    <mat-tab-group class="tab-group">
        <mat-tab label="Description">
            <p class="tab-content">{{ game.description }}</p>
        </mat-tab>
        <mat-tab label="Instructions">
            <div class="tab-content">
                <p *ngFor="let str of breakInstructions(game.instructions)">{{ str }}</p>
            </div>
        </mat-tab>
        <mat-tab label="Links">
            <div class="tab-content tab-group__links">
                <a href="{{ game.gamerpower_url }}" class="tab-group__link">Gamerpower</a>
<!--                <a href="">{{ game.open_giveaway }}</a>-->
                <a href="{{ game.open_giveaway_url }}" class="tab-group__link">Open Giveaway</a>
                <a href="{{ game.thumbnail }}" class="tab-group__link">Thumbnail</a>
            </div>
        </mat-tab>
    </mat-tab-group>
</mat-card>
